info.bioinfweb.jphyloio.events

## Class SequenceTokensEvent

- java.lang.Object
- - info.bioinfweb.jphyloio.events.ConcreteJPhyloIOEvent
  - - info.bioinfweb.jphyloio.events.SequenceTokensEvent

- All Implemented Interfaces:
    JPhyloIOEvent

      public class SequenceTokensEvent
      extends ConcreteJPhyloIOEvent

  Indicates that one or more sequence tokens have been read from an alignment. This event can be triggered one or more times between `EventContentType.ALIGNMENT` and `EventContentType#ALIGNMENT_END` events.

  It depends on the implementation of the format specific reader how many tokens are contained in a single event. For performance reasons most applications will group several tokens together in one event, but not necessarily a whole sequence.

  Author:
    Ben Stöver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SequenceTokensEvent(java.util.List<java.lang.String> tokens)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getTokens()`

    - ### Methods inherited from class info.bioinfweb.jphyloio.events.ConcreteJPhyloIOEvent

      `asCharacterDefinitionEvent, asCharacterSetIntervalEvent, asCommentEvent, asEdgeEvent, asLabeledIDEvent, asLinkedLabeledIDEvent, asLiteralMetadataContentEvent, asLiteralMetadataEvent, asNodeEvent, asPartEndEvent, asResourceMetadataEvent, asSequenceTokensEvent, asSetElementEvent, asSingleSequenceTokenEvent, asSingleTokenDefinitionEvent, asTokenSetDefinitionEvent, asUnknownCommandEvent, createEndEvent, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SequenceTokensEvent

          public SequenceTokensEvent(java.util.List<java.lang.String> tokens)

  - ### Method Detail

    - #### getTokens

          public java.util.List<java.lang.String> getTokens()